Bug 447578 - can't find Munin.pm -- need rebuild
can't find Munin.pm -- need rebuild
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 11:59 EDT by Zing
Modified: 2008-06-06 15:40 EDT (History)
0 users

See Also:
Fixed In Version: 1.2.5-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 15:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2008-05-20 11:59:20 EDT
Description of problem:

did a preupgrade from F8->F9 and munin-cron complains:

Can't locate Munin.pm in @INC (@INC contains:
/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0
/usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi
/usr/local/lib/perl5/site_perl/5.10.0
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl .) at
/usr/share/munin/munin-update line 168.

Munin.pm is in 5.8 vendor tree:
# rpm -ql munin|grep perl
/usr/lib/perl5/vendor_perl/5.8.8/Munin.pm

A rebuild should take care of this i would think.

Version-Release number of selected component (if applicable):
munin-1.2.5-4.fc9.noarch
Comment 1 Kevin Fenzi 2008-05-20 14:28:27 EDT
Wow... sorry for missing that rebuild. ;( 

I will get an update pushed out asap. 

Thanks for reporting this!
Comment 2 Fedora Update System 2008-05-20 14:30:09 EDT
munin-1.2.5-5.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-21 07:09:52 EDT
munin-1.2.5-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4300
Comment 4 Fedora Update System 2008-06-06 03:44:58 EDT
munin-1.2.5-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Kevin Fenzi 2008-06-06 15:40:27 EDT
This update has been pushed out, I'm going to go ahead and close this now. 
Feel free to re-open or file a new bug if you spot anything further. 

Note You need to log in before you can comment on or make changes to this bug.